export const AppState = {
    // The root scene object
    root: null,
    scenes : [
        {
            id : "salvador",
            active : false
        }
    ],
    ambientOcclusion : true,
    shadows : true,
    lightProbe : false,
    map : null,
    clipping : {
        enabled: false,
        helper : null,
    }
}

/**
 * @todo Buggyyyyy!!!!
 * @param {String} id 
 * @returns {Boolean}
 */
export function getSceneStatus(id) {
    return AppState.scenes.find(s => s.id === id).active;
}

/**
 * @todo Buggyyyyy!!!!
 * @param {String} id 
 * @param {Boolean} status 
 * @returns {Boolean}
 */
export function setSceneStatus(id, status) {
    return AppState.scenes.find(s => s.id === id).active = status;
}